# Read the documentation: https://symfony.com/doc/master/bundles/FOSRestBundle/index.html
fos_rest:
    disable_csrf_role: ROLE_USER
    param_fetcher_listener: true
    allowed_methods_listener: true
    body_listener:
        decoders:
            json: fos_rest.decoder.jsontoform
    view:
        view_response_listener: true
        formats:
            json: true
    format_listener:
        rules:
            - { path: ^/api, prefer_extension: true, fallback_format: json, priorities: [ json ] }
            - { path: '^/', stop: true }
    service:
        serializer: ~
    serializer:
        serialize_null: true
        groups: ['read']
